<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->
<script setup lang="ts">
import { ref, watch } from 'vue';
import { storeToRefs } from "pinia";
import { useRouter } from 'vue-router';
import Sidebar from "@/components/general/Sidebar.vue";
import NavigationContent from "@/components/chat/NavigationContent.vue";
import { useChatStore } from "@/stores/chat";

const router = useRouter();
const chatStore = useChatStore();
const { state } = storeToRefs(chatStore);

const showNavigation = ref(false);
const handleShowNavigation = () => {
    showNavigation.value = true;
}
const handleCloseNavigation = () => {
    showNavigation.value = false;
};

const handleGoToPanes = () => {
    router.push({ name: 'overview-account' });
};

watch(() => state.value, (newVal, oldVal) => {
    if (oldVal === "" && newVal !== "")
        showNavigation.value = false;
});

</script>
<template>
    <div class="ml-2 text-white sm:hidden flex">
        <button class="h-8 w-12 cursor-pointer hover:text-gray-300 text-center flex flex-col"
            @click="handleShowNavigation"><i class="ri-menu-line text-lg h-6 w-10 text-center"></i>
            <span class="text-[9px] text-center w-10 mt-0.5">{{ $t('ai.overview.navbar.button.menu') }}</span></button>

        <Sidebar left v-if="showNavigation" @cancel="handleCloseNavigation" light>
            <NavigationContent />
        </Sidebar>
        <button class="h-8 w-12 cursor-pointer hover:text-gray-300 text-center flex flex-col"
            @click="handleGoToPanes"><i class="ri-home-2-line text-lg h-6 w-10 text-center"></i>
            <span class="text-[9px] text-center w-10 mt-0.5">{{ $t('general.variables.pane.pl') }}</span></button>
    </div>

</template>